1. 威客安全首页
  2. 安全资讯

CVE-2019-2890:WebLogic 反序列化漏洞预警

CVE-2019-2890:WebLogic 反序列化漏洞预警

 

0x00 漏洞背景

2019年10月16日,360CERT监测到2019年10月16日WebLogic官方发布了CVE-2019-2890漏洞预警,漏洞等级严重。

WebLogic 是 Oracle 公司出品的基于 JavaEE 架构的中间件,用于开发、集成、部署和管理大型分布式 Web 应用、网络应用和数据库应用。

Weblogic在利用T3协议进行远程资源加载调用时,默认会进行黑名单过滤以保证反序列化安全。本漏洞绕过了Weblogic的反序列化黑名单,使攻击者可以通过T3协议对存在漏洞的Weblogic组件实施远程攻击。

由于T3协议在Weblogic控制台开启的情况下默认开启,而Weblogic默认安装会自动开启控制台,所以攻击者可通过此漏洞造成远程代码执行,以控制Weblogic服务器。

360CERT判断漏洞等级为严重,危害面/影响面广。建议使用WebLogic的用户及时安装最新补丁,以免遭受黑客攻击。

 

0x01 影响版本

WebLogic Server 10.3.6.0

WebLogic Server 12.1.3.0

WebLogic Server 12.2.1.3

 

0x02 修复建议

  • 升级补丁
  • 如果不依赖T3协议进行JVM通信,禁用T3协议。

升级补丁

Oracle官方更新链接地址:https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

禁用T3协议

  1. 进入WebLogic控制台,在base_domain配置页面中,进入安全选项卡页面,点击筛选器,配置筛选器。
  2. 在连接筛选器中输入:weblogic.security.net.ConnectionFilterImpl,在连接筛选器规则框中输入127.0.0.1 * * allow t3 t3s,0.0.0.0/0 * * deny t3 t3s
  3. 保存生效(需重启)

 

0x03 时间线

2019-10-16 WebLogic官方发布了CVE-2019-2890漏洞预警

2019-10-16 360CERT发布预警

 

0x04 参考链接

  1. https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

原文链接:https://www.anquanke.com/post/id/188854

本站声明:网站内容来源于安全客,如有侵权,请联系我们,我们将及时处理。

本文转为转载文章,本文观点不代表威客安全立场。

联系我们

4006-119-120

在线咨询:点击这里给我发消息

邮件:public@jinlongsec.com

工作时间:周一至周五,9:30-18:30,节假日休息

X